--- title: "Riskware alert acknowledge request" slug: "riskware-alert-acknowledge-request" tags: ["Reference", "Email Security - Cloud", "Customer", "Cloud Security"] updated: 2026-09-04T19:23:14Z published: 2026-09-04T19:23:14Z canonical: "docs.trellix.com/riskware-alert-acknowledge-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Riskware alert acknowledge request It takes a Riskware Alert ID in the API URL and marks the alert as acknowledged. Applicable only for inbound Riskware alerts. `PUT https://<etp-instance>/api/v1/alerts/riskware/acknowledge/<id>` **Required headers:** If the domain you use to access the UI ends in `fireeye.com`: `x-fireeye-api-key: <key>`—Specifies your personal API key. If the domain you use to access the UI ends in `trellix.com`: `authorization: bearer <access_token>`—Specifies your personal access token. > [!WARNING] > Important > > Use `authorization: bearer <access_token>` in place of `x-fireeye-api-key: <key>` in the following examples. ### Example of the request `PUT https://<APIURI>/alerts/riskware/acknowledge/3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f -H "Content-Type: application/json" -H 'x-fireeye-api-key: <APIKEY>' -d '{}'` ### Example of the response Success response: ``` {    "data": {        "type": "riskware alerts",        "operation": "acknowledge",        "successful_ids": [            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"        ]    },    "meta": {        "copyright": "Copyright © 2023 Musarubra US LLC"    } } ``` Failure response: ``` {    "data": {        "type": "riskware alerts",        "operation": "acknowledge",        "failed_ids": [            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"        ]    },    "meta": {        "copyright": "Copyright © 2023 Musarubra US LLC"    } } ``` ### cURL code sample: acknowledge riskware alert ``` curl -XPUT https:///alerts/riskware/acknowledge/3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f -H "Content-Type: application/json" -H 'x-fireeye-api-key: ' -d '{}' ``` This curl sample includes the following options: - `-X PUT`—This option changes the HTTP method to PUT. - `https://<APIURI>/alerts/riskware/acknowledge`— The riskware alert acknowledge API request URL. Replace with the address of your Email Security — Cloud instance. - `--header "Content-Type: application/json"`—This header specifies that the server's response body is expected to be in JSON format. - `--header 'x-fireeye-api-key: xxxxxxxxxxxxxxx'`—This header specifies your personal API key. - `-d '{<data>}'`—The request parameters.